part of 'messages_bloc.dart';

sealed class MessagesEvent extends Equatable {
  const MessagesEvent();

  @override
  List<Object> get props => [];
}

class GetallMessages extends MessagesEvent {
  final int chatId;

  const GetallMessages({required this.chatId});
}

class AddMessage extends MessagesEvent {
  final Messages message;

  const AddMessage({required this.message});
}

class ChangeMessage extends MessagesEvent {
  final Messages oldMessage;
  final Messages newMessage;

  const ChangeMessage({required this.oldMessage, required this.newMessage});
}

class DeleteMessage extends MessagesEvent {
  final int? chatId;
  final Messages message;

  const DeleteMessage({required this.chatId, required this.message});
}

class DeleteMessageWithId extends MessagesEvent {
  final String messageId;

  const DeleteMessageWithId({required this.messageId});
}

class RemoveInError extends MessagesEvent {}

class ResetMessages extends MessagesEvent {}
